<p align="center">
    <img src="https://raw.githubusercontent.com/iosifache/semgrep-rules-manager/main/logo.png" height="256" alt="semgrep-rules-manager logo"/>
</p>

## Description

Despite the fact that there is an open source repository containing community rules, some Semgrep users prefer to keep their custom rules in repositories that they manage.

The goal of **`semgrep-rules-manager`** is to collect **high-quality Semgrep rules from third-party sources**. It allows you to examine information about a source, download it, and check for and retrieve remote updates. If a downloaded source no longer meets your requirements, `semgrep-rules-manager` can handle deletion procedures.

## Included rules

[This online search engine](https://semgrep.iosifache.me) allows you to explore the rules included in `semgrep-rules-manager`.

## Included sources

| Identifier    | Rules per Language                                                                                                                                                                                                                                                                                                                                                                                 | Author         | License   |
|---------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------|-----------|
| `community`   | 396 for Python, 364 for Terraform, 341 for JavaScript, 229 for TypeScript, 228 for Regex, 140 for Java, 105 for Generic, 104 for YAML, 100 for Ruby, 90 for Go, 59 for PHP, 49 for Solidity, 48 for C#, 39 for Dockerfile, 34 for OCaml, 25 for Scala, 24 for JSON, 17 for Kotlin, 17 for C, 12 for Apex, 11 for Rust, 9 for Bash, 7 for Elixir, 5 for Clojure, 5 for Swift, 3 for HTML, 1 for Lua | Semgrep        | LGPL 2.1  |
| `gitlab`      | 93 for Scala, 75 for Python, 66 for Java, 64 for C, 31 for Go, 20 for C#, 11 for JavaScript, 10 for TypeScript                                                                                                                                                                                                                                                                                     | GitLab         | MIT       |
| `trailofbits` | 19 for Python, 15 for Go, 9 for JavaScript, 9 for TypeScript, 1 for Rust                                                                                                                                                                                                                                                                                                                           | Trail of Bits  | AGPL-3.0  |
| `0xdea`       | 47 for C++, 46 for C, 1 for Generic                                                                                                                                                                                                                                                                                                                                                                | Marco Ivaldi   | MIT       |
| `elttam`      | 40 for Java, 15 for Generic, 7 for YAML, 3 for JavaScript, 3 for Go, 2 for TypeScript, 1 for C#, 1 for Kotlin, 1 for Python, 1 for C, 1 for PHP                                                                                                                                                                                                                                                    | elttam         | MIT       |
| `kondukto`    | 5 for Dockerfile, 5 for PHP, 3 for Go, 3 for Java                                                                                                                                                                                                                                                                                                                                                  | Kondukto       |           |
| `dgryski`     | 65 for Go                                                                                                                                                                                                                                                                                                                                                                                          | Damian Gryski  | MIT       |
| `dotta`       | 7 for PHP, 3 for Kotlin, 1 for Java                                                                                                                                                                                                                                                                                                                                                                | Federico Dotta | MIT       |
| `hashicorp`   | 4 for Terraform, 1 for Generic                                                                                                                                                                                                                                                                                                                                                                     | Hashicorp      | MPL-2.0   |

## Read more

This is only an excerpt from the [`README.md` hosted on GitHub](https://github.com/iosifache/semgrep-rules-manager#readme).
